#pragma once

#include <c10/cuda/CUDAStream.h>
#include <torch/extension.h>
#include <cstdint>
#include <assert.h>
#include <stdio.h>
#include <cuda_runtime.h>
#include <vector>



#define CUDA_CHECK(call)                                                            \
{                                                                              \
    const cudaError_t error = call;                                            \
    if (error != cudaSuccess)                                                  \
    {                                                                          \
        fprintf(stderr, "Error: %s:%d, ", __FILE__, __LINE__);                 \
        fprintf(stderr, "code: %d, reason: %s\n", error,                       \
                cudaGetErrorString(error));                                    \
    }                                                                          \
}
